generic_pipe_buf_get
Prev | Chapter 32. pipes API | Next

## Name

generic_pipe_buf_get — get a reference to a `struct` pipe_buffer

## Synopsis

`void generic_pipe_buf_get (` | struct pipe_inode_info * | pipe,
| struct pipe_buffer * | buf`)`;

## Arguments

`pipe`

  the pipe that the buffer belongs to

`buf`

  the buffer to get a reference to

## Description

This function grabs an extra reference to `buf`. It's used in in the `tee` system call, when we duplicate the buffers in one pipe into another.

Prev | Up | Next
generic_pipe_buf_steal | Home | generic_pipe_buf_confirm